summaryrefslogtreecommitdiff
path: root/tests/rm
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm')
-rwxr-xr-xtests/rm/cycle2
-rwxr-xr-xtests/rm/dir-no-w2
-rwxr-xr-xtests/rm/dir-nonrecur2
-rwxr-xr-xtests/rm/fail-2eperm2
-rwxr-xr-xtests/rm/fail-eacces4
-rwxr-xr-xtests/rm/i-never2
-rwxr-xr-xtests/rm/inaccessible2
-rwxr-xr-xtests/rm/interactive-always4
-rwxr-xr-xtests/rm/interactive-once4
-rwxr-xr-xtests/rm/isatty2
-rwxr-xr-xtests/rm/one-file-system2
-rwxr-xr-xtests/rm/rm12
-rwxr-xr-xtests/rm/rm22
-rwxr-xr-xtests/rm/rm32
-rwxr-xr-xtests/rm/rm52
-rwxr-xr-xtests/rm/unread22
-rwxr-xr-xtests/rm/v-slash2
17 files changed, 20 insertions, 20 deletions
diff --git a/tests/rm/cycle b/tests/rm/cycle
index 30596fb69..4146a988f 100755
--- a/tests/rm/cycle
+++ b/tests/rm/cycle
@@ -31,6 +31,6 @@ rm: cannot remove `a/b/file'
rm: cannot remove `a/b/file'
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/dir-no-w b/tests/rm/dir-no-w
index b4721ad4e..5f3f84058 100755
--- a/tests/rm/dir-no-w
+++ b/tests/rm/dir-no-w
@@ -37,6 +37,6 @@ EOF
sed 's/remove directory/remove/' out-t > out
rm -f out-t
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/dir-nonrecur b/tests/rm/dir-nonrecur
index 2e2f15237..6fdb884f8 100755
--- a/tests/rm/dir-nonrecur
+++ b/tests/rm/dir-nonrecur
@@ -29,6 +29,6 @@ rm: cannot remove `d': Is a directory
EOF
# Before coreutils-5.93 this test would fail on Solaris 9 and newer.
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/fail-2eperm b/tests/rm/fail-2eperm
index cd294c5bc..b9cdb57fd 100755
--- a/tests/rm/fail-2eperm
+++ b/tests/rm/fail-2eperm
@@ -50,6 +50,6 @@ cat <<\EOF > exp
rm: cannot remove `a/b': Operation not permitted
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/fail-eacces b/tests/rm/fail-eacces
index 8e9b5b07e..89e6357ba 100755
--- a/tests/rm/fail-eacces
+++ b/tests/rm/fail-eacces
@@ -42,13 +42,13 @@ rm -rf d/f 2> out && fail=1
cat <<\EOF > exp
rm: cannot remove `d/f': Permission denied
EOF
-compare out exp || fail=1
+compare exp out || fail=1
# This used to fail with ELOOP.
rm -rf e 2> out && fail=1
cat <<\EOF > exp
rm: cannot remove `e/slink': Permission denied
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/i-never b/tests/rm/i-never
index 5ffde73c7..7179bdbd1 100755
--- a/tests/rm/i-never
+++ b/tests/rm/i-never
@@ -28,6 +28,6 @@ touch exp || framework_failure_
rm --interactive=never f > out || fail=1
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/inaccessible b/tests/rm/inaccessible
index e87ab793d..b0e087c2e 100755
--- a/tests/rm/inaccessible
+++ b/tests/rm/inaccessible
@@ -44,6 +44,6 @@ EOF
# to the expected one:
sed 's/: The file access permissions.*/: Permission denied/'<out>o1;mv o1 out
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/interactive-always b/tests/rm/interactive-always
index 032c645ed..70bf03a11 100755
--- a/tests/rm/interactive-always
+++ b/tests/rm/interactive-always
@@ -83,7 +83,7 @@ WHEN=always
rm: remove all arguments recursively? .
EOF
-compare out expout || fail=1
-compare err experr || fail=1
+compare expout out || fail=1
+compare experr err || fail=1
Exit $fail
diff --git a/tests/rm/interactive-once b/tests/rm/interactive-once
index fc1c76dd7..f2f946bdc 100755
--- a/tests/rm/interactive-once
+++ b/tests/rm/interactive-once
@@ -103,7 +103,7 @@ multiple files, recursion, answer yes
rm: remove all arguments recursively? .
EOF
-compare out expout || fail=1
-compare err experr || fail=1
+compare expout out || fail=1
+compare experr err || fail=1
Exit $fail
diff --git a/tests/rm/isatty b/tests/rm/isatty
index 1118b9465..15e395f11 100755
--- a/tests/rm/isatty
+++ b/tests/rm/isatty
@@ -49,6 +49,6 @@ EOF
# Append an `x' and a newline.
echo x >> out
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/one-file-system b/tests/rm/one-file-system
index 064d27c2b..93c1f7ff6 100755
--- a/tests/rm/one-file-system
+++ b/tests/rm/one-file-system
@@ -43,6 +43,6 @@ EOF
rm --one-file-system -rf a 2> out && fail=1
test -d $t/y || fail=1
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/rm1 b/tests/rm/rm1
index f4f43d042..3de093b4a 100755
--- a/tests/rm/rm1
+++ b/tests/rm/rm1
@@ -39,7 +39,7 @@ EOF
cmp out exp > /dev/null 2>&1 || {
cmp out exp2 || fail=1
}
-test $fail = 1 && compare out exp
+test $fail = 1 && compare exp out
test -d b/a/p || fail=1
test -d b/c && fail=1
diff --git a/tests/rm/rm2 b/tests/rm/rm2
index 6df1e2090..e3fd0c911 100755
--- a/tests/rm/rm2
+++ b/tests/rm/rm2
@@ -42,7 +42,7 @@ EOF
cmp out exp > /dev/null 2>&1 \
|| { cmp out exp-solaris > /dev/null 2>&1 || fail=1; }
-test $fail = 1 && compare out exp
+test $fail = 1 && compare exp out
test -d a/0 && fail=1
test -d a/1 || fail=1
diff --git a/tests/rm/rm3 b/tests/rm/rm3
index 56aea8c1e..b2f3b0e91 100755
--- a/tests/rm/rm3
+++ b/tests/rm/rm3
@@ -66,7 +66,7 @@ rm: remove write-protected directory \`z/du'
rm: remove directory \`z'
EOF
-compare out exp || fail=1
+compare exp out || fail=1
test -d z && fail=1
diff --git a/tests/rm/rm5 b/tests/rm/rm5
index 5c33bf729..2dfaf73ec 100755
--- a/tests/rm/rm5
+++ b/tests/rm/rm5
@@ -47,6 +47,6 @@ mv o2 out
# Make sure it's been removed.
test -d d && fail=1
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/unread2 b/tests/rm/unread2
index ae3365f25..a26ad0393 100755
--- a/tests/rm/unread2
+++ b/tests/rm/unread2
@@ -30,6 +30,6 @@ cat <<\EOF > exp
rm: cannot remove `a': Permission denied
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/rm/v-slash b/tests/rm/v-slash
index 6620742ec..d257b4d3e 100755
--- a/tests/rm/v-slash
+++ b/tests/rm/v-slash
@@ -29,6 +29,6 @@ removed `a/x'
removed directory: `a'
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail